Bug 65039 - [MAINTAINER] mail/MailScanner: update to 4.29.7
Summary: [MAINTAINER] mail/MailScanner: update to 4.29.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-01 14:30 UTC by Jan-Peter Koopmann
Modified: 2004-04-02 07:01 UTC (History)
0 users

See Also:


Attachments
MailScanner-4.29.7.patch (20.97 KB, patch)
2004-04-01 14:30 UTC, Jan-Peter Koopmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Peter Koopmann 2004-04-01 14:30:34 UTC
- Update to 4.29.7

The highlights are:

- More robust MIME decoding, should catch postmaster bounces a lot better
   when they include the entire message with broken MIME headers.
- <Script> tags in HTML message bodies can now be filtered out or disarmed,
   just like what can be done already with <Form> tags and similar.
- Now unpacks self-extracting Zip archives.
- Now decodes binhex-encoded attachments, as well as binhex-encoded data
   hidden in the text portion of a message.
- Postfix support for latest snapshots implemented.


Generated with FreeBSD Port Tools 0.50
Comment 1 Kirill Ponomarev freebsd_committer 2004-04-01 15:15:45 UTC
Hi,

On Thu, Apr 01, 2004 at 03:21:51PM +0200, Jan-Peter Koopmann wrote:
> 
> >Number:         65039
> >Category:       ports
> >Synopsis:       [MAINTAINER] mail/MailScanner: update to 4.29.7
> >Confidential:   no
> >Severity:       critical


Is there any reason to put it in "critical" level ?

-Kirill 
Comment 2 Jan-Peter.Koopmann 2004-04-01 15:19:10 UTC
On Thursday, April 01, 2004 4:16 PM Kirill Ponomarew =
<mailto:krion@FreeBSD.org> wrote:

> Hi,

> Is there any reason to put it in "critical" level ?

Sorry I forgot to explain. From my point of view there is. The old =
version did not catch all variants of NetSky, at least not always in =
bounces etc. Therefore this version gives a significant security =
improvement.=20

While the mailscanner-devel branch already incorporated these fixes, the =
stable version (which many people choose to use due to stability) has =
just been released today.

Sorry to cause the inconvinience.

Regards,

Jan-Peter Koopmann
Dipl.-Wirtschaftsinformatiker
Gesch=E4ftsf=FChrer / COO

--=20
Seceidos GmbH
Robert-Bosch-Str.7
64293 Darmstadt/Germany

Phone:  +49 (6151) 66843-43
Fax:    +49 (6151) 66843-52
E-Mail: jan-peter.koopmann@seceidos.de
Web:    http://www.seceidos.de
Comment 3 Pav Lucistnik freebsd_committer 2004-04-02 07:01:11 UTC
State Changed
From-To: open->closed

Committed, thanks!